@Library('farmmaps-shared-library') _

pipeline {
  agent any;
  options {
    copyArtifactPermission projectNames: env.allProjectsArtifactPermission;
    disableConcurrentBuilds();
  }
  stages {
    stage('FarmmapsLibBuildAll') {
      steps {
        stepFarmmapsLibBuildAll();
      }
    }
  }
  post {
    success {
      postSuccess();
    }
    always {
      postAlways();
    }
  }
}